# BaseComponentSpec

@Incubating
open class BaseComponentSpec : DefaultComponentSpec, GeneralComponentSpec

Base class that may be used for custom GeneralComponentSpec implementations. However, it is generally better to use an interface annotated with org.gradle.model.Managed and not use an implementation class at all.

## Constructors

BaseComponentSpec
Link copied to clipboard
constructor()

## Properties

identifier
Link copied to clipboard
val identifier: ComponentSpecIdentifier

## Functions

create
Link copied to clipboard
open fun <T : DefaultComponentSpec?> create(publicType: Class<out ComponentSpec>, implementationType: Class<T>, identifier: ComponentSpecIdentifier, modelNode: MutableModelNode): T
getBinaries
Link copied to clipboard
open fun getBinaries(): ModelMap<BinarySpec>
getDisplayName
Link copied to clipboard
open fun getDisplayName(): String
getName
Link copied to clipboard
open fun getName(): String
getProjectPath
Link copied to clipboard
open fun getProjectPath(): String
getSources
Link copied to clipboard
open fun getSources(): ModelMap<LanguageSourceSet>
getVariants
Link copied to clipboard
open fun getVariants(): Iterable<Binary>
toString
Link copied to clipboard
open fun toString(): String